WinShopAPI docs
ReferenceItem lists

Transport types

List transport types

GET
/api/item-lists/transport-types

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/transport-types' \  -H 'Authorization: Bearer <access-token>'
[  {    "eshopId": "string",    "id": 0,    "transportPrice": 0,    "transportType": "string",    "warehouseId": 0  }]

Create a transport type

POST
/api/item-lists/transport-types

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
transportPrice?|
Formatdecimal
transportType?|
Lengthlength <= 80
warehouseId?|
Formatint32

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
transportPrice?|
Formatdecimal
transportType?|
Lengthlength <= 80
warehouseId?|
Formatint32
curl -X POST 'https://<your-instance>/api/item-lists/transport-types' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "eshopId": "string",  "id": 0,  "transportPrice": 0,  "transportType": "string",  "warehouseId": 0}

Get a transport type

GET
/api/item-lists/transport-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
transportPrice?|
Formatdecimal
transportType?|
Lengthlength <= 80
warehouseId?|
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/transport-types/0' \  -H 'Authorization: Bearer <access-token>'
{  "eshopId": "string",  "id": 0,  "transportPrice": 0,  "transportType": "string",  "warehouseId": 0}

Update a transport type

PATCH
/api/item-lists/transport-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
transportPrice?|
Formatdecimal
transportType?|
Lengthlength <= 80
warehouseId?|
Formatint32

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
transportPrice?|
Formatdecimal
transportType?|
Lengthlength <= 80
warehouseId?|
Formatint32
curl -X PATCH 'https://<your-instance>/api/item-lists/transport-types/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "eshopId": "string",  "id": 0,  "transportPrice": 0,  "transportType": "string",  "warehouseId": 0}

Delete a transport type

DELETE
/api/item-lists/transport-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/transport-types/0' \  -H 'Authorization: Bearer <access-token>'
Empty